petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoGetSolutionVector

Returns the vector with the current TAO solution

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetSolutionVector(Tao tao, Vec *X)

Not Collective

### Input Parameter

tao -the Tao context

### Output Parameter

X -the current solution

Note: The returned vector will be the same object that was passed into TaoSetInitialVector()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html